[DRBD-user] Proposing a patch for drbd ocf ra to suppress "mismatch" warnings

Lars Ellenberg lars.ellenberg at linbit.com
Wed Oct 20 12:59:24 CEST 2010


On Fri, Oct 15, 2010 at 03:14:13PM +0200, Raoul Bhatia [IPAX] wrote:
> On 09/18/2010 02:16 PM, Raoul Bhatia [IPAX] wrote:
> >> Sep 18 13:58:21 node2 lrmd: [21135]: info: RA output: (drbd_db:0:monitor:stderr) DRBD module version: 8.3.7#012   userland version: 8.3.8#012preferably kernel and userland versions should match.
> > 
> > actually, this is expected but at the same time irritating.
> > 
> > i found commit c82bc3f73e6a7f14b856471bd6e69d817e6145cc [1] where
> > one can set the environment variable DRBD_DONT_WARN_ON_VERSION_MISMATCH
> > to suppress such warnings.
> > 
> > i therefore propose the attach patch to add a new parameter
> > warn_on_version_mismatch which defaults to "true"
> > 
> > when it is set to false, it exports DRBD_DONT_WARN_ON_VERSION_MISMATCH=
> > to suppress the warnings.
> 
> hi,
> 
> what about my suggestion? what objections do you have to not apply
> it for drbd 8.3.9?

I just committed something similar to that.
Should be pushed to public "soon".
Will be in 8.3.9.


-- 
: Lars Ellenberg
: LINBIT | Your Way to High Availability
: DRBD/HA support and consulting http://www.linbit.com

DRBD® and LINBIT® are registered trademarks of LINBIT, Austria.
__
please don't Cc me, but send to list   --   I'm subscribed



More information about the drbd-user mailing list